# Generated by Django 5.0.6 on 2024-06-07 13:51

import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0014_alter_team_trigram"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="tournament",
            name="solutions_available_second_phase",
        ),
        migrations.AddField(
            model_name="tournament",
            name="solutions_available_second_phase",
            field=models.BooleanField(
                default=False,
                verbose_name="check this case when solutions for the second round become available",
            ),
        ),
        migrations.AddField(
            model_name="tournament",
            name="solutions_available_third_phase",
            field=models.BooleanField(
                default=False,
                verbose_name="check this case when solutions for the third round become available",
            ),
        ),
        migrations.AddField(
            model_name="tournament",
            name="syntheses_third_phase_limit",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                verbose_name="limit date to upload the syntheses for the third phase",
            ),
        )
    ]
